> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# actions

# `prefect.client.schemas.actions`

## Classes

### `StateCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L66" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a new state.

### `FlowCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L78" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a flow.

### `FlowUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L93" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a flow.

### `DeploymentScheduleCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L116" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

**Methods:**

#### `from_schedule` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L158" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
from_schedule(cls, schedule: Schedule) -> 'DeploymentScheduleCreate'
```

#### `validate_active` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L142" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
validate_active(cls, v: Any, handler: Callable[[Any], Any]) -> bool
```

#### `validate_max_scheduled_runs` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L152" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
validate_max_scheduled_runs(cls, v: Optional[int]) -> Optional[int]
```

### `DeploymentScheduleUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L197" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

**Methods:**

#### `validate_max_scheduled_runs` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L224" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
validate_max_scheduled_runs(cls, v: Optional[int]) -> Optional[int]
```

### `DeploymentCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L230" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a deployment.

**Methods:**

#### `check_valid_configuration` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L310" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
check_valid_configuration(self, base_job_template: dict[str, Any]) -> None
```

Check that the combination of base\_job\_template defaults
and job\_variables conforms to the specified schema.

#### `convert_to_strings` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L240" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
convert_to_strings(cls, values: Optional[Union[str, list[str]]]) -> Union[str, list[str]]
```

#### `remove_old_fields` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L235" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
remove_old_fields(cls, values: dict[str, Any]) -> dict[str, Any]
```

### `DeploymentUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L330" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a deployment.

**Methods:**

#### `check_valid_configuration` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L388" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
check_valid_configuration(self, base_job_template: dict[str, Any]) -> None
```

Check that the combination of base\_job\_template defaults
and job\_variables conforms to the specified schema.

#### `remove_old_fields` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L335" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
remove_old_fields(cls, values: dict[str, Any]) -> dict[str, Any]
```

### `DeploymentBranch` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L409" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

**Methods:**

#### `validate_branch_length` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L422" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
validate_branch_length(cls, v: str) -> str
```

### `FlowRunUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L428" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a flow run.

### `TaskRunCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L442" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a task run

### `TaskRunUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L487" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a task run

### `FlowRunCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L493" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a flow run.

### `DeploymentFlowRunCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L525" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a flow run from a deployment.

**Methods:**

#### `convert_parameters_to_plain_data` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L556" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
convert_parameters_to_plain_data(cls, values: dict[str, Any]) -> dict[str, Any]
```

#### `serialize_parameters` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L570" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
serialize_parameters(self, value: dict[str, Any]) -> dict[str, Any]
```

Serialize datetime types as ISO strings instead of timestamps.

PrefectBaseModel has ser\_json\_timedelta='float' to serialize timedeltas as floats,
but this also causes datetime/date/time to serialize as timestamps. This serializer
overrides that behavior for datetime types while preserving float serialization for
timedeltas.

### `SavedSearchCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L591" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a saved search.

### `ConcurrencyLimitCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L600" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a concurrency limit.

### `ConcurrencyLimitV2Create` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L609" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a v2 concurrency limit.

### `ConcurrencyLimitV2Update` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L629" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a v2 concurrency limit.

### `BlockTypeCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L640" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a block type.

### `BlockTypeUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L661" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a block type.

**Methods:**

#### `updatable_fields` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L670" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
updatable_fields(cls) -> set[str]
```

### `BlockSchemaCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L674" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a block schema.

### `BlockDocumentCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L691" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a block document.

**Methods:**

#### `validate_name_is_present_if_not_anonymous` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L715" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
validate_name_is_present_if_not_anonymous(cls, values: dict[str, Any]) -> dict[str, Any]
```

### `BlockDocumentUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L721" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a block document.

### `BlockDocumentReferenceCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L736" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used to create block document reference.

### `LogCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L751" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a log.

**Methods:**

#### `model_dump` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L762" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
model_dump(self, *args: Any, **kwargs: Any) -> dict[str, Any]
```

The worker\_id field is only included in logs sent to Prefect Cloud.
If it's unset, we should not include it in the log payload.

### `WorkPoolCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L773" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a work pool.

### `WorkPoolUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L800" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a work pool.

### `WorkQueueCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L813" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a work queue.

### `WorkQueueUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L842" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a work queue.

### `ArtifactCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L865" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create an artifact.

### `ArtifactUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L877" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update an artifact.

### `VariableCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L885" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a Variable.

### `VariableUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L897" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a Variable.

### `GlobalConcurrencyLimitCreate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L909" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to create a global concurrency limit.

### `GlobalConcurrencyLimitUpdate` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/client/schemas/actions.py#L936" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Data used by the Prefect REST API to update a global concurrency limit.


Built with [Mintlify](https://mintlify.com).